'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});


var isDisplayNameSet = function isDisplayNameSet(statement, displayName) {
  for (var i = statement.container.length; i > -1; i -= 1) {
    var sibling = statement.getSibling(i);

    if (sibling.isExpressionStatement()) {
      var expression = sibling.get('expression');
      var member = sibling.get('expression.left');

      /* istanbul ignore else */
      if (expression.isAssignmentExpression() && member.get('object').isIdentifier({ name: displayName }) && member.get('property').isIdentifier({ name: 'displayName' })) {
        return true;
      }
    }
  }

  return false;
};

exports.default = isDisplayNameSet;